com.mapinfo.midev.unit

## Class DataType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.unit.DataType

All Implemented Interfaces:
  Serializable, Comparable

    public final class DataType
    extends Enum

A data type.

See Also:
  Serialized Form

### Field Summary

Fields
`static DataType` `BOOLEAN` A DataType representing booleans.
`static DataType` `BYTE` A DataType representing bytes.
`static DataType` `CHAR` A DataType representing chars.
`static DataType` `DATE` A DataType representing dates.
`static DataType` `DECIMAL` A DataType representing decimals.
`static DataType` `DOUBLE` A DataType representing doubles.
`static DataType` `FLOAT` A DataType representing floats.
`static DataType` `INTEGER` A DataType representing integers.
`static DataType` `SHORT` A DataType representing shorts.
`static DataType` `STRING` A DataType representing strings.

### Method Summary

All Methods Static Methods Concrete Methods
`static DataType` `valueOf(String name)`
`static DataType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BOOLEAN

    public static final DataType BOOLEAN

A DataType representing booleans.

#### BYTE

    public static final DataType BYTE

A DataType representing bytes.

#### DATE

    public static final DataType DATE

A DataType representing dates.

#### DECIMAL

    public static final DataType DECIMAL

A DataType representing decimals.

#### DOUBLE

    public static final DataType DOUBLE

A DataType representing doubles.

#### FLOAT

    public static final DataType FLOAT

A DataType representing floats.

#### INTEGER

    public static final DataType INTEGER

A DataType representing integers.

#### SHORT

    public static final DataType SHORT

A DataType representing shorts.

#### STRING

    public static final DataType STRING

A DataType representing strings.

#### CHAR

    public static final DataType CHAR

A DataType representing chars.

### Method Detail

#### values

    public static DataType[] values()

#### valueOf

    public static DataType valueOf(String name)